## org.apache.lucene.codecs.compressing.dummy
Class DummyCompressingCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.FilterCodec
              org.apache.lucene.codecs.compressing.CompressingCodec
                  org.apache.lucene.codecs.compressing.dummy.DummyCompressingCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class DummyCompressingCodec

extends CompressingCodec

CompressionCodec that does not compress data, useful for testing.

Field Summary
`static CompressionMode` `DUMMY`

Fields inherited from class org.apache.lucene.codecs.FilterCodec
`delegate`

Constructor Summary
`DummyCompressingCodec()` Default constructor.
`DummyCompressingCodec(int chunkSize, boolean withSegmentSuffix)` Constructor that allows to configure the chunk size.

Method Summary

Methods inherited from class org.apache.lucene.codecs.compressing.CompressingCodec
`randomInstance, randomInstance, randomInstance, storedFieldsFormat, termVectorsFormat, toString`

Methods inherited from class org.apache.lucene.codecs.FilterCodec
`docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, postingsFormat, segmentInfoFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DUMMY

    public static final CompressionMode DUMMY

Constructor Detail

### DummyCompressingCodec

    public DummyCompressingCodec(int chunkSize,
                                 boolean withSegmentSuffix)

  Constructor that allows to configure the chunk size.

### DummyCompressingCodec

    public DummyCompressingCodec()

  Default constructor.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.